This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 244192 - Review Request: eclipse-anyedit - AnyEdit plugin for Eclipse
Review Request: eclipse-anyedit - AnyEdit plugin for Eclipse
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Package Reviews List
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-14 09:50 EDT by rob
Modified: 2009-09-09 23:44 EDT (History)
5 users (show)

See Also:
Fixed In Version: 2.2.0-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 23:44:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
overholt: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)
anyedit specfile patch (545 bytes, text/x-patch)
2007-09-13 06:27 EDT, Alphonse Van Assche
no flags Details

  None (edit)
Description rob 2007-06-14 09:50:18 EDT
Spec URL: http://www.stl.gtri.gatech.edu/rmyers/eclipse-anyedit/eclipse-anyedit.spec
SRPM URL: http://www.stl.gtri.gatech.edu/rmyers/eclipse-anyedit/eclipse-anyedit-1.8.0-2.fc7.src.rpm
Description: The AnyEdit plugin adds several new actions to the context menu of text-based Eclipse editors.
Comment 1 Peter Lemenkov 2007-06-15 02:18:00 EDT
Simple note - why using so ugly Buildroot path?
You should use the following one.

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Comment 2 rob 2007-06-15 09:26:31 EDT
ugly or not as i read it this is the preferred buildroot from the packaging
guidelines:
http://fedoraproject.org/wiki/Packaging/Guidelines?#head-b4fdd45fa76cbf54c885ef0836361319ab962473
Comment 3 Alphonse Van Assche 2007-09-07 10:45:57 EDT
The package don't build with IcedTea (derived OpenJDK normally shipped with F8)

...
    [javac] 119. ERROR in
/home/fons/rpmbuild/BUILD/eclipse-anyedit-1.8.0/build/plugins/de.loskutov.anyedit.AnyEditTools/src/de/loskutov/anyedit/util/TextUtil.java
(at line 856)
    [javac]     case '?':
    [javac]     ^^^^^^^^
    [javac] Duplicate case
    [javac] ----------
    [javac] 119 problems (46 errors, 73 warnings)

Like Peter say the correct buildpath used in Fedora is 
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

If you fix the above build problems and the buildpath, I would be happy to
pre-review this package.
Comment 4 rob 2007-09-07 11:08:30 EDT
(In reply to comment #3)
> The package don't build with IcedTea (derived OpenJDK normally shipped with F8)

ok, this package was submitted before icedtea.  i'll take a look at it.  and
thanks for letting me know!

> Like Peter say the correct buildpath used in Fedora is 
> %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

again, that is not the preferred buildpath.  read the packaging guidelines link
i posted in comment #2.
Comment 5 Alphonse Van Assche 2007-09-07 11:13:32 EDT
(In reply to comment #4)
> again, that is not the preferred buildpath.  read the packaging guidelines link
> i posted in comment #2.

Strange I have never see such a buildpath in a package but yes if it's in the
guideline that may do the trick.
Comment 6 rob 2007-09-07 15:41:58 EDT
SPEC URL: http://www.stl.gtri.gatech.edu/rmyers/eclipse-anyedit/eclipse-anyedit.spec
SRPM URL:
http://www.stl.gtri.gatech.edu/rmyers/eclipse-anyedit/eclipse-anyedit-1.8.2-1.fc8.src.rpm

changelog: 
* Fri Sep  7 2007 Rob Myers <rob.myers@gtri.gatech.edu> 1.8.2-1
- update to 1.8.2
- update unicode patch for IcedTea compatibility
Comment 7 Alphonse Van Assche 2007-09-13 06:27:44 EDT
Created attachment 194451 [details]
anyedit specfile patch
Comment 8 Alphonse Van Assche 2007-09-13 06:28:13 EDT
Hi Rob,

I have just finish the pre-review of this package - In the big part the package
seems to be OK, there is just two things that need to be fixed. I have attached
a patch that fix these two issue.

Personally, I prefer to build eclipse plugin using a feature, in this case the
advantage is that the bundle is automatically jarred, another advantage is to be
more consistent with our other packages. So is there any technical reason to not
use a feature instead of these two ant target?

The 'MUST' and 'SHOULD' headers just
reflect the sections here:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines?action=show&redirect=PackageReviewGuidelines

- MUST: rpmlint must be run on every package. The output should be posted in the
review. OK
- MUST: The package must be named according to the Package Naming Guidelines. OK
- MUST: The spec file name must match the base package %{name}, in the format
%{name}.spec unless your package has an exemption on Package naming Guidelines. OK
- MUST: The package must meet the Packaging Guidelines. OK
- MUST: The package must be licensed with a Fedora approved license and meet the
Licensing Guidelines. OK
- MUST: The License field in the package spec file must match the actual license. OK
- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc. OK
- MUST: The spec file must be written in American English. OK
- MUST: The spec file for the package MUST be legible. If the reviewer is unable
to read the spec file, it will be impossible to perform a review. Fedora is not
the place for entries into the Obfuscated Code Contest (http://www.ioccc.org/). OK
- MUST: The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this. OK
- MUST: The package must successfully compile and build into binary rpms on at
least one supported architecture. OK
- MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch needs to have a bug filed
in bugzilla, describing the reason that the package does not compile/build/work
on that architecture. The bug number should then be placed in a comment, next to
the corresponding ExcludeArch line. New packages will not have bugzilla entries
during the review process, so they should put this description in the comment
until the package is approved, then file the bugzilla entry, and replace the
long explanation with the bug number. (Extras Only) The bug should be marked as
blocking one (or more) of the following bugs to simplify tracking such issues:
FE-ExcludeArch-x86, FE-ExcludeArch-x64, FE-ExcludeArch-ppc, FE-ExcludeArch-ppc64
OK, but yes I have only tested on an i386
- MUST: All build dependencies must be listed in BuildRequires, except for any
that are listed in the exceptions section of Packaging Guidelines; inclusion of
those as BuildRequires is optional. Apply common sense. Normally that's OK
- MUST: The spec file MUST handle locales properly. This is done by using the
%find_lang macro. Using %{_datadir}/locale/* is strictly forbidden. OK
- MUST: Every binary RPM package which stores shared library files (not just
symlinks) in any of the dynamic linker's default paths, must call ldconfig in
%post and %postun. If the package has multiple subpackages with libraries, each
subpackage should also have a %post/%postun section that calls /sbin/ldconfig.
An example of the correct syntax for this is: 
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
OK
- MUST: If the package is designed to be relocatable, the packager must state
this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. OK
- MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory. Refer to the Guidelines for examples.

NOK. You should add this line to the files section, take a look on the patch.
%dir %{eclipse_base}/plugins/de.loskutov.anyedit.AnyEditTools_%{version}

- MUST: A package must not contain any duplicate files in the %files listing. OK
- MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.

NOK. The last parameter of the defattr directive set permissions on directories,
something like %defattr(-,root,root,-) seems better.
See http://docs.fedoraproject.org/developers-guide/ch-rpm-building.html  for
more information about defattr.

- MUST: Each package must have a %clean section, which contains rm -rf
%{buildroot} (or $RPM_BUILD_ROOT). OK
- MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines. OK
- MUST: The package must contain code, or permissable content. This is described
in detail in the code vs. content section of Packaging Guidelines. OK
- MUST: Large documentation files should go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity) OK
- MUST: If a package includes something as %doc, it must not affect the runtime
of the application. To summarize: If it is in %doc, the program must run
properly if it is not present. OK
- MUST: Header files must be in a -devel package. OK
- MUST: Static libraries must be in a -static package. OK
- MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability). OK
- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package. OK
- MUST: In the vast majority of cases, devel packages must require the base
package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} OK
- MUST: Packages must NOT contain any .la libtool archives, these should be
removed in the spec. OK
- MUST: Packages containing GUI applications must include a %{name}.desktop
file, and that file must be properly installed with desktop-file-install in the
%install section. This is described in detail in the desktop files section of
Packaging Guidelines. If you feel that your packaged GUI application does not
need a .desktop file, you must put a comment in the spec file with your
explanation. OK
- MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another package
owns, then please present that at package review time. OK
- MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}
(or $RPM_BUILD_ROOT). See Prepping BuildRoot For %install for details. OK
- MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD Items:
- SHOULD: If the source package does not include license text(s) as a separate
file from upstream, the packager SHOULD query upstream to include it.
Can you ask upstream about this?
- SHOULD: The description and summary sections in the package spec file should
contain translations for supported Non-English languages, if available. OK,
AFAICS there isn't translation for summary available.
- SHOULD: The reviewer should test that the package builds in mock.
Rob, have you try to build this package in mock on rawhide?
- SHOULD: The package should compile and build into binary rpms on all supported
architectures.
It's only a should, so... maybe OK ;-)
- SHOULD: The reviewer should test that the package functions as described. A
package should not segfault instead of running, for example. OK
- SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague,
and left up to the reviewers judgement to determine sanity. OK
- SHOULD: Usually, subpackages other than devel should require the base package
using a fully versioned dependency. OK
- SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and
this is usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb. OK
- SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin consider requiring the package which provides the file
instead of the file itself. Please see File Dependencies in the Guidelines for
further information.
OK
Comment 9 rob 2007-09-13 09:20:19 EDT
(In reply to comment #8)
> Hi Rob,
> 
> I have just finish the pre-review of this package - In the big part the package
> seems to be OK, there is just two things that need to be fixed. I have attached
> a patch that fix these two issue.

the patch seems to reflect your packaging preferences rather than Fedora
packaging requirements.  for example, the patch changes a line that is
cut'n'pasted directly from http://fedoraproject.org/wiki/NativeJava #6.

we should probably work with Ben Konrath and Andrew Overholt to come up with an
EclipseAddons packaging guide- that way we can capture the best practices and
ensure some level of consistency between the eclipse plugin packages.

> Personally, I prefer to build eclipse plugin using a feature, in this case the
> advantage is that the bundle is automatically jarred, another advantage is to be
> more consistent with our other packages. So is there any technical reason to not
> use a feature instead of these two ant target?

i don't recall- i'll take a look.

> - MUST: A package must own all directories that it creates. If it does not
> create a directory that it uses, then it should require a package which does
> create that directory. Refer to the Guidelines for examples.
> 
> NOK. You should add this line to the files section, take a look on the patch.
> %dir %{eclipse_base}/plugins/de.loskutov.anyedit.AnyEditTools_%{version}

AFAICT, this requirement is already met.  rpm shows that this directory is
already owned by the rpm:
# rpm -qf /usr/share/eclipse/plugins/de.loskutov.anyedit.AnyEditTools_1.8.2
eclipse-anyedit-1.8.2-1.el5

am i missing something?

> - MUST: Permissions on files must be set properly. Executables should be set
> with executable permissions, for example. Every %files section must include a
> %defattr(...) line.
> 
> NOK. The last parameter of the defattr directive set permissions on directories,
> something like %defattr(-,root,root,-) seems better.
> See http://docs.fedoraproject.org/developers-guide/ch-rpm-building.html  for
> more information about defattr.

i believe the package currently meets this requirement, because it already
includes a %defattr line.  however, i will include your suggestion because it
does seem more explicit.  thank you for bringing defattr's fourth argument to my
attention- i didn't know it existed. :)

would you be interested in co-maintaining this package?
Comment 10 rob 2007-09-13 09:40:53 EDT
(In reply to comment #9)
> (In reply to comment #8)
> > So is there any technical reason to not
> > use a feature instead of these two ant target?
> 
> i don't recall- i'll take a look.

it builds as a plugin, but not as a feature.  here is the error when trying to
build as a feature:

BUILD FAILED
/usr/share/eclipse/plugins/org.eclipse.pde.build/scripts/build.xml:24: The
following error occurred while executing this line:
/usr/share/eclipse/plugins/org.eclipse.pde.build/scripts/build.xml:64: The
following error occurred while executing this line:
/usr/share/eclipse/plugins/org.eclipse.pde.build/templates/package-build/customTargets.xml:17:
The following error occurred while executing this line:
/usr/share/eclipse/plugins/org.eclipse.pde.build_3.2.1.r321_v20060823/scripts/genericTargets.xml:80:
Unable to find feature: de.loskutov.anyedit.AnyEditTools.

Comment 11 Alphonse Van Assche 2007-09-13 11:00:23 EDT
(In reply to comment #9)
> the patch seems to reflect your packaging preferences rather than Fedora
> packaging requirements.  
> for example, the patch changes a line that is
> cut'n'pasted directly from http://fedoraproject.org/wiki/NativeJava #6.
No, take a look for example on eclipse-changelog and eclipse-mylyn, the features
directories are tagged with %dir macro and the second defattr that you add for
the .so files was not necessary - I just follow the way of doing of other packager.

> we should probably work with Ben Konrath and Andrew Overholt to come up with an
> EclipseAddons packaging guide- that way we can capture the best practices and
> ensure some level of consistency between the eclipse plugin packages.
IMHO without guideline to packaging eclipse bundle the best way is to stay
consistent with the other packages already in.

Perhaps, in a near future we would generate the whole specfile from the
feature.xml using the rpmstubby plugin.

> AFAICT, this requirement is already met.  rpm shows that this directory is
> already owned by the rpm:
> # rpm -qf /usr/share/eclipse/plugins/de.loskutov.anyedit.AnyEditTools_1.8.2
> eclipse-anyedit-1.8.2-1.el5
> am i missing something?
I can be wrong but in all the eclipse packages the features use the %dir tag to
say that the directory is owned by the package. Maybe rpm do that automatically too?

> > - MUST: Permissions on files must be set properly. Executables should be set
> > with executable permissions, for example. Every %files section must include a
> > %defattr(...) line.
> > 
> > NOK. The last parameter of the defattr directive set permissions on directories,
> > something like %defattr(-,root,root,-) seems better.
> > See http://docs.fedoraproject.org/developers-guide/ch-rpm-building.html  for
> > more information about defattr.
> 
> i believe the package currently meets this requirement, because it already
> includes a %defattr line.  however, i will include your suggestion because it
> does seem more explicit.  thank you for bringing defattr's fourth argument to
my attention- i didn't know it existed. :)
:), Me too, before someone ask me to add this arg.

> would you be interested in co-maintaining this package?
Why not ;-)

(In reply to comment #10)
Please, can you attach the feature.xml, so that I can make a try here.
Comment 12 Alphonse Van Assche 2007-09-13 12:50:16 EDT
FYI, eclipse-quickrex, is no shipped with a feature.xml at this time, you can
take a look there to see if you miss something.

http://cvs.fedoraproject.org/viewcvs/rpms/eclipse-quickrex/devel/

Cheers,
Comment 13 rob 2007-09-13 14:37:35 EDT
(In reply to comment #11)
> (In reply to comment #9)
> > the patch seems to reflect your packaging preferences rather than Fedora
> > packaging requirements.  
> > for example, the patch changes a line that is
> > cut'n'pasted directly from http://fedoraproject.org/wiki/NativeJava #6.
> No, take a look for example on eclipse-changelog and eclipse-mylyn, the features
> directories are tagged with %dir macro and the second defattr that you add for
> the .so files was not necessary - I just follow the way of doing of other
packager.

your example packages are no better (or worse) than my example from the wiki.
these are not Fedora packaging requirements.

> > we should probably work with Ben Konrath and Andrew Overholt to come up with an
> > EclipseAddons packaging guide- that way we can capture the best practices and
> > ensure some level of consistency between the eclipse plugin packages.
> IMHO without guideline to packaging eclipse bundle the best way is to stay
> consistent with the other packages already in.

IMO, if there is a best way to package eclipse plugin packages, it needs to be
captured in a document, and submitted to the packaging committee for consideration.

> Perhaps, in a near future we would generate the whole specfile from the
> feature.xml using the rpmstubby plugin.

that will be nice. :)

> > AFAICT, this requirement is already met.  rpm shows that this directory is
> > already owned by the rpm:
> > # rpm -qf /usr/share/eclipse/plugins/de.loskutov.anyedit.AnyEditTools_1.8.2
> > eclipse-anyedit-1.8.2-1.el5
> > am i missing something?
> I can be wrong but in all the eclipse packages the features use the %dir tag to
> say that the directory is owned by the package. Maybe rpm do that
automatically too?
> 
> > > - MUST: Permissions on files must be set properly. Executables should be set
> > > with executable permissions, for example. Every %files section must include a
> > > %defattr(...) line.
> > > 
> > > NOK. The last parameter of the defattr directive set permissions on
directories,
> > > something like %defattr(-,root,root,-) seems better.
> > > See http://docs.fedoraproject.org/developers-guide/ch-rpm-building.html  for
> > > more information about defattr.
> > 
> > i believe the package currently meets this requirement, because it already
> > includes a %defattr line.  however, i will include your suggestion because it
> > does seem more explicit.  thank you for bringing defattr's fourth argument to
> my attention- i didn't know it existed. :)
> :), Me too, before someone ask me to add this arg.
> 
> > would you be interested in co-maintaining this package?
> Why not ;-)

cool.

> (In reply to comment #10)
> Please, can you attach the feature.xml, so that I can make a try here.

i didn't see the point of making a feature.xml, when the upstream source already
comes with a plugin.xml and things seem to work.  is there some advantage to a
feature that would justify the additional work?
Comment 14 Alphonse Van Assche 2007-09-13 14:55:11 EDT
(In reply to comment #13)
> i didn't see the point of making a feature.xml, when the upstream source already
> comes with a plugin.xml and things seem to work.  is there some advantage to a
> feature that would justify the additional work?

The bundle is automatically jarred.

Comment 15 rob 2007-09-13 15:20:00 EDT
(In reply to comment #14)
> (In reply to comment #13)
> > i didn't see the point of making a feature.xml, when the upstream source already
> > comes with a plugin.xml and things seem to work.  is there some advantage to a
> > feature that would justify the additional work?
> 
> The bundle is automatically jarred.

hmm that seems like marginal benefit for me... but as co-maintainer you'll have
free reign for all the marginal benefits you like. :-)

overholt seems interested/willing to work on eclipse plugin packaging
guidelines, so if you have any preferences or best practices to contribute
please send them along to us.  i'm sure at some point this will lead to a wiki page.
Comment 16 Alphonse Van Assche 2007-09-13 16:19:23 EDT
(In reply to comment #15)
> hmm that seems like marginal benefit for me... but as co-maintainer you'll have
> free reign for all the marginal benefits you like. :-)
At the moment is not so marginal as you think - you can't package java classes
outside a jar file. As workaround you can disable the build of the debuginfo
package (%define debug_package %{nil})

See this bz report for more informations about this issue:
https://bugzilla.redhat.com/show_bug.cgi?id=273881

> overholt seems interested/willing to work on eclipse plugin packaging
> guidelines, so if you have any preferences or best practices to contribute
> please send them along to us.  i'm sure at some point this will lead to a wiki
page.
Yeah, that seems to be a good think todo but I'm not sure that I can give
valuate help to Andrew on this - just because I use him packages as template :-)
Comment 17 rob 2007-10-16 17:37:51 EDT
An updated build that should meet 
http://fedoraproject.org/wiki/PackagingDrafts/EclipsePlugins is available here:

http://www.stl.gtri.gatech.edu/rmyers/eclipse-anyedit/eclipse-anyedit.spec
http://www.stl.gtri.gatech.edu/rmyers/eclipse-anyedit/eclipse-anyedit-1.8.2-4.el5.src.rpm

this version builds fine in mock for rawhide and epel5.  however, when i submit
to my local koji instance i get check-buildroot errors, like so:

+ /usr/lib/rpm/check-buildroot
Binary file
/var/tmp/eclipse-anyedit-1.8.2-4.el5.stl-Gf1632/usr/lib/debug/usr/lib64/gcj/eclipse-anyedit/de.loskutov.anyedit.AnyEditTools_1.8.2.zip.so.debug
matches
Found '/var/tmp/eclipse-anyedit-1.8.2-4.el5.stl-Gf1632' in installed files; aborting
error: Bad exit status from /var/tmp/rpm-tmp.10769 (%install)

thoughts?
Comment 18 Alphonse Van Assche 2007-10-17 12:12:19 EDT
That's because the plugin is not jarred, there is two workaround available in
the above draft, just choice one of them ;). 

FYI, plugin compiled using a feature.xml are automatically jarred.

Comment 19 rob 2007-10-17 15:05:40 EDT
i thought .zip was close enough, but apparently not. :)  installing as .jar does
fix the problem.  thanks for your patient advice!

http://www.stl.gtri.gatech.edu/rmyers/eclipse-anyedit/eclipse-anyedit.spec
http://www.stl.gtri.gatech.edu/rmyers/eclipse-anyedit/eclipse-anyedit-1.8.2-4.el5.src.rpm
Comment 21 Andrew Overholt 2008-04-09 11:54:39 EDT
The Eclipse plugin packaging guidelines have now been ratified by the Fedora
Packaging Committee and FESCo.

Rob, are there any changes to make to this package to match the guidelines?
Comment 22 rob 2008-04-09 13:04:31 EDT
I don't think there are any changes needed to match the guidelines.

Note:

This eclipse-anyedit-1.8.2 (for Eclipse 3.2) will be for EPEL5, and use
copy-platform in the build.

I'll make a new eclipse-anyedit-1.9.3 (for Eclipse 3.3+) for rawhide, and use
the newer pdebuild in the build.
Comment 23 Jason Tibbitts 2008-10-03 13:21:00 EDT
The src.rpm in comment #20 fails to build in rawhide; it uses Patch0: but applies it with %patch instead of %patch0, which doesn't work in the current rpm.

Fixing that, I guess the build is expected to fail on the call to
  /bin/sh -x /usr/share/eclipse/buildscripts/copy-platform SDK /usr/share/eclipse

Is there a package which builds on rawhide?
Comment 24 Jason Tibbitts 2008-10-10 13:21:08 EDT
No response; closing.
Comment 25 Mamoru TASAKA 2008-10-10 13:40:13 EDT
Jason,

You are closing the review request only one week after you commented on
this bug at the last time, which is too fast.

The review guideline says we should 
- wait for response at least one month
- then wait _another_ one week
i.e. 5 weeks.
Comment 26 Jason Tibbitts 2008-10-10 13:44:41 EDT
Hmm, you're right; I was confused about who the original submitter was.  It would still be nice to get something which actually builds, though; otherwise this will just end up being closed again.
Comment 27 rob 2008-10-10 14:07:44 EDT
I'll do a new spin for rawhide sometime soon- I'm a bit overwhelmed at the moment.
Comment 29 rob 2008-10-12 09:37:14 EDT
here is one that actually works properly on rawhide, in addition to building properly on rawhide:
http://rmyers.fedorapeople.org/eclipse-anyedit/eclipse-anyedit-2.1.1-2.fc10.src.rpm
http://rmyers.fedorapeople.org/eclipse-anyedit/eclipse-anyedit-2.1.1-2.fc10/eclipse-anyedit.spec
Comment 30 Andrew Overholt 2008-10-15 16:47:43 EDT
I need to update the packaging guidelines for Eclipse plugins to say put things in either %{_libdir}/eclipse/dropins/<simple-one-word-name>/{plugins,features} or %{_datadir}/eclipse/dropins/<simple-one-word-name>/{plugins,features}.

I'll take this review.  Rob, care to review Eclemma when I update it to reflect the new guidelines?
Comment 31 rob 2008-10-15 20:16:29 EDT
(In reply to comment #30)

> I need to update the packaging guidelines for Eclipse plugins to say put things
> in either %{_libdir}/eclipse/dropins/<simple-one-word-name>/{plugins,features}
> or %{_datadir}/eclipse/dropins/<simple-one-word-name>/{plugins,features}.

That would be good.  I was confused when I came across the dropins dir, so I just ignored it. :)  Another question I had was, should I be able to use pdebuild for a plugin?  It seemed to work great for features, but choked hard for me on plugins.

> I'll take this review.  Rob, care to review Eclemma when I update it to reflect
> the new guidelines?

Absolutely.  Just update #444512 when you're ready.
Comment 33 Andrew Overholt 2008-10-16 08:38:30 EDT
(In reply to comment #32)
> Is this closer to what the guidelines will require?

Yes.
Comment 34 Andrew Overholt 2008-10-17 17:00:47 EDT
This looks good to me, Rob.  I'll do a closer check on Monday but my one suggestion right now is to change the %files line to be:

%{eclipse_base}/dropins/anyedit

instead of the explicit plugin since that way you own the directories too.

Also, note that it's not strictly required to do gcj stuff if you don't want to (I actually disabled it in my test build since I don't have gcj installed).

Oh, and I guess you should make the requirement on eclipse-platform be >= 3.4.0 since dropins is new in 3.4 and wasn't in 3.3.
Comment 35 rob 2008-10-20 09:39:33 EDT
(In reply to comment #34)
> instead of the explicit plugin since that way you own the directories too.

good idea.

> Also, note that it's not strictly required to do gcj stuff if you don't want to
> (I actually disabled it in my test build since I don't have gcj installed).

good to know, i'll likely remove it then.

> Oh, and I guess you should make the requirement on eclipse-platform be >= 3.4.0
> since dropins is new in 3.4 and wasn't in 3.3.

thanks for the tip!
Comment 36 Andrew Overholt 2008-10-20 12:50:05 EDT
I had a nice review all typed up but I accidentally hit Ctrl-W :(  Sorry if this is ugly:

- I don't think you want to include the LICENSE file - just talk to upstream about putting it directly into their JAR
- the Source0 URL seems incorrect.  However, if I use the URL provided at the upstream site, the md5sums match
- take care of the changes in #35
- move the JAR to %{_datadir}/eclipse/dropins and not %{_libdir}
- please document the package.xml and assemble.xml files (how you created them, etc.)
- did you talk to Andrei about the unicode issue?  maybe just document where the bug lies

- package builds and functions fine on x86_64
- rpmlint output:

$ rpmlint ../SRPMS/eclipse-anyedit-2.1.1-3.fc9.src.rpm 
eclipse-anyedit.src:121: W: libdir-macro-in-noarch-package %attr(-,root,root) %{_libdir}/gcj/%{name}
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint ../RPMS/noarch/eclipse-anyedit-2.1.1-3.fc9.noarch.rpm 
eclipse-anyedit.noarch: E: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 0 warnings.

^ This is caused by the location of the JAR.  Moving to %{_datadir} will fix it.

$ rpm -qlp !$
rpm -qlp ../RPMS/noarch/eclipse-anyedit-2.1.1-3.fc9.noarch.rpm
/usr/lib64/eclipse/dropins/anyedit/plugins/de.loskutov.anyedit.AnyEditTools_2.1.1.200809292108.jar
/usr/share/doc/eclipse-anyedit-2.1.1
/usr/share/doc/eclipse-anyedit-2.1.1/LICENSE

Other than the location of the JAR, things are fine here.
Comment 37 John (J5) Palmieri 2009-08-17 13:43:44 EDT
Ping.  I would really like to see this packaged.  Right now I install by hand but it tends to stop working when eclipse is upgraded.  Any status on getting this in Fedora?
Comment 38 Jason Tibbitts 2009-08-17 13:53:25 EDT
The submitter seems to have gone away and this ticket should probably be closed.  Perhaps someone else wants to submit it.
Comment 39 rob 2009-08-17 15:49:17 EDT
(In reply to comment #37)
> Any status on getting this in Fedora?

I will take a look at it for F11/rawhide.
Comment 40 rob 2009-08-19 08:09:30 EDT
http://rmyers.fedorapeople.org/eclipse-anyedit/eclipse-anyedit-2.2.0-1.fc11.src.rpm

http://rmyers.fedorapeople.org/eclipse-anyedit/eclipse-anyedit-2.2.0-1.fc11/

* Wed Aug 19 2009 Rob Myers <rob.myers@gtri.gatech.edu> 2.2.0-1
- Updated to 2.2.0
- Drop gcj support
- Change jar location to /usr/share/eclipse/dropins/anyedit
- Bump eclipse-platform to 3.4.0+
Comment 41 Andrew Overholt 2009-08-19 09:16:59 EDT
3 minor things:

- please put comments above the package and assemble scripts saying that you wrote them
- change the %files entry to be /usr/share/eclipse/dropins/anyedit
- injecting the license isn't necessary

Otherwise, good to go.
Comment 42 rob 2009-08-19 10:02:12 EDT
Should all be fixed now.

http://rmyers.fedorapeople.org/eclipse-anyedit/eclipse-anyedit-2.2.0-2.fc11.src.rpm
http://rmyers.fedorapeople.org/eclipse-anyedit/eclipse-anyedit-2.2.0-2.fc11/

* Wed Aug 19 2009 Rob Myers <rob.myers@gtri.gatech.edu> 2.2.0-2
- Drop LICENSE file
- Minor spec file cleanup
Comment 43 Andrew Overholt 2009-08-19 10:08:49 EDT
Approved.  Thanks.
Comment 44 rob 2009-08-19 10:26:01 EDT
New Package CVS Request
=======================
Package Name: eclipse-anyedit
Short Description: AnyEdit plugin for eclipse
Owners: rmyers joshkayse
Branches: F-11
InitialCC: overholt
Comment 45 Jason Tibbitts 2009-08-19 17:26:25 EDT
CVS done.
Comment 46 Fedora Update System 2009-08-21 07:29:24 EDT
eclipse-anyedit-2.2.0-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/eclipse-anyedit-2.2.0-2.fc11
Comment 47 Fedora Update System 2009-08-21 20:58:11 EDT
eclipse-anyedit-2.2.0-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update eclipse-anyedit'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-8834
Comment 48 Fedora Update System 2009-09-09 23:44:47 EDT
eclipse-anyedit-2.2.0-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.